---
updatedAt: 2026-06-18T14:54:41.000Z
agentTools:
  siteIndex: https://developer.paylocity.com/llms.txt
  projectIndex: https://developer.paylocity.com/integrations/llms.txt
---

# Upsert Onboarding Status

> 🚧 Partner Restricted
> 
> The Partner Onboarding API is only available to approved partners who have signed a Paylocity Technology Partnership Agreement. If you are not yet a partner and are interested, [please reach out to our team](https://www.paylocity.com/contact/partner-form/) to discuss partnership opportunities.

**Summary Description**

The new Partner Onboarding API is designed to enable our partners to onboard customers through our Paylocity Marketplace-initiated workflow. Approved partners will utilize the API to provision a client onto a specific integration. This API provides an endpoint that allows partners to upsert the status of the integration, using the Paylocity companyId specified in the request body. Partners can update the companyOnboardingStatus to one of four options: InProgress, Approved, Rejected or Suspended. If approved the partner will be able to sync the requested client data through the API.


# OpenAPI definition

```json
{
  "openapi": "3.0.4",
  "info": {
    "title": "Partner Onboarding API",
    "version": "v1"
  },
  "servers": [
    {
      "url": "dc1demogwext.paylocity.com"
    }
  ],
  "paths": {
    "/apiHub/security/v1/companies/b6001/companyOnboardingStatuses": {
      "put": {
        "tags": [
          "Client Onboarding"
        ],
        "summary": "Upsert Onboarding Status",
        "description": "> 🚧 Partner Restricted\n> \n> The Partner Onboarding API is only available to approved partners who have signed a Paylocity Technology Partnership Agreement. If you are not yet a partner and are interested, [please reach out to our team](https://www.paylocity.com/contact/partner-form/) to discuss partnership opportunities.\n\n**Summary Description**\n\nThe new Partner Onboarding API is designed to enable our partners to onboard customers through our Paylocity Marketplace-initiated workflow. Approved partners will utilize the API to provision a client onto a specific integration. This API provides an endpoint that allows partners to upsert the status of the integration, using the Paylocity companyId specified in the request body. Partners can update the companyOnboardingStatus to one of four options: InProgress, Approved, Rejected or Suspended. If approved the partner will be able to sync the requested client data through the API.\n",
        "x-explorer-enabled": false,
        "parameters": [
          {
            "name": "testMode",
            "in": "header",
            "description": "If true all responses are mocked and generated randomly.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          }
        ],
        "requestBody": {
          "description": "Payload of query.",
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpsertCompanyOnboardingDto"
              },
              "examples": {
                "Approve Onboarding": {
                  "value": {
                    "companyId": "A00123",
                    "onboardingStatus": "Approved"
                  }
                },
                "Mark In Progress": {
                  "value": {
                    "companyId": "B00456",
                    "onboardingStatus": "InProgress"
                  }
                },
                "Reject Onboarding": {
                  "value": {
                    "companyId": "C00789",
                    "onboardingStatus": "Rejected"
                  }
                },
                "Suspend Onboarding": {
                  "value": {
                    "companyId": "D00321",
                    "onboardingStatus": "Suspended"
                  }
                }
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpsertCompanyOnboardingDto"
              },
              "examples": {
                "Approve Onboarding": {
                  "value": {
                    "companyId": "A00123",
                    "onboardingStatus": "Approved"
                  }
                },
                "Mark In Progress": {
                  "value": {
                    "companyId": "B00456",
                    "onboardingStatus": "InProgress"
                  }
                },
                "Reject Onboarding": {
                  "value": {
                    "companyId": "C00789",
                    "onboardingStatus": "Rejected"
                  }
                },
                "Suspend Onboarding": {
                  "value": {
                    "companyId": "D00321",
                    "onboardingStatus": "Suspended"
                  }
                }
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/UpsertCompanyOnboardingDto"
              },
              "examples": {
                "Approve Onboarding": {
                  "value": {
                    "companyId": "A00123",
                    "onboardingStatus": "Approved"
                  }
                },
                "Mark In Progress": {
                  "value": {
                    "companyId": "B00456",
                    "onboardingStatus": "InProgress"
                  }
                },
                "Reject Onboarding": {
                  "value": {
                    "companyId": "C00789",
                    "onboardingStatus": "Rejected"
                  }
                },
                "Suspend Onboarding": {
                  "value": {
                    "companyId": "D00321",
                    "onboardingStatus": "Suspended"
                  }
                }
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/UpsertCompanyOnboardingDto"
              },
              "examples": {
                "Approve Onboarding": {
                  "value": {
                    "companyId": "A00123",
                    "onboardingStatus": "Approved"
                  }
                },
                "Mark In Progress": {
                  "value": {
                    "companyId": "B00456",
                    "onboardingStatus": "InProgress"
                  }
                },
                "Reject Onboarding": {
                  "value": {
                    "companyId": "C00789",
                    "onboardingStatus": "Rejected"
                  }
                },
                "Suspend Onboarding": {
                  "value": {
                    "companyId": "D00321",
                    "onboardingStatus": "Suspended"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Created - Resource has been created.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UpsertCompanyOnboardingDto"
                },
                "examples": {
                  "Created - Approved": {
                    "value": {
                      "companyId": "A00123",
                      "onboardingStatus": "Approved"
                    }
                  },
                  "Created - In Progress": {
                    "value": {
                      "companyId": "B00456",
                      "onboardingStatus": "InProgress"
                    }
                  }
                }
              }
            }
          },
          "204": {
            "description": "No Content - Resource has been updated."
          },
          "400": {
            "description": "Bad Request - Returns the details of the error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/GenericErrorResponse"
                },
                "examples": {
                  "Invalid CompanyId Format": {
                    "value": {
                      "correlationId": "a1b2c3d4-e5f6-47a8-b9c0-d1e2f3g4h5i6",
                      "values": [
                        {
                          "code": "BadRequest",
                          "message": "Invalid companyId format. CompanyId must be alphanumeric with maximum 9 characters."
                        }
                      ]
                    }
                  },
                  "Invalid Status Value": {
                    "value": {
                      "correlationId": "b2c3d4e5-f6g7-48h9-i0j1-k2l3m4n5o6p7",
                      "values": [
                        {
                          "code": "BadRequest",
                          "message": "OnboardingStatus must be one of: InProgress, Approved, Rejected, Suspended"
                        }
                      ]
                    }
                  },
                  "Missing Required Field": {
                    "value": {
                      "correlationId": "c3d4e5f6-g7h8-49i0-j1k2-l3m4n5o6p7q8",
                      "values": [
                        {
                          "code": "BadRequest",
                          "message": "The CompanyId field is required."
                        }
                      ]
                    }
                  },
                  "Invalid Filter Expression": {
                    "value": {
                      "correlationId": "d4e5f6g7-h8i9-40j0-k1l2-m3n4o5p6q7r8",
                      "values": [
                        {
                          "code": "BadRequest",
                          "message": "Invalid filter expression. Expected format: 'field eq value' or 'field ct value'"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found - Returns the details of the error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/GenericErrorResponse"
                },
                "examples": {
                  "Invalid CompanyId Format": {
                    "value": {
                      "correlationId": "a1b2c3d4-e5f6-47a8-b9c0-d1e2f3g4h5i6",
                      "values": [
                        {
                          "code": "BadRequest",
                          "message": "Invalid companyId format. CompanyId must be alphanumeric with maximum 9 characters."
                        }
                      ]
                    }
                  },
                  "Invalid Status Value": {
                    "value": {
                      "correlationId": "b2c3d4e5-f6g7-48h9-i0j1-k2l3m4n5o6p7",
                      "values": [
                        {
                          "code": "BadRequest",
                          "message": "OnboardingStatus must be one of: InProgress, Approved, Rejected, Suspended"
                        }
                      ]
                    }
                  },
                  "Missing Required Field": {
                    "value": {
                      "correlationId": "c3d4e5f6-g7h8-49i0-j1k2-l3m4n5o6p7q8",
                      "values": [
                        {
                          "code": "BadRequest",
                          "message": "The CompanyId field is required."
                        }
                      ]
                    }
                  },
                  "Invalid Filter Expression": {
                    "value": {
                      "correlationId": "d4e5f6g7-h8i9-40j0-k1l2-m3n4o5p6q7r8",
                      "values": [
                        {
                          "code": "BadRequest",
                          "message": "Invalid filter expression. Expected format: 'field eq value' or 'field ct value'"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "415": {
            "description": "Unsupported Media Type - Returns the details of the error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/GenericErrorResponse"
                },
                "examples": {
                  "Invalid CompanyId Format": {
                    "value": {
                      "correlationId": "a1b2c3d4-e5f6-47a8-b9c0-d1e2f3g4h5i6",
                      "values": [
                        {
                          "code": "BadRequest",
                          "message": "Invalid companyId format. CompanyId must be alphanumeric with maximum 9 characters."
                        }
                      ]
                    }
                  },
                  "Invalid Status Value": {
                    "value": {
                      "correlationId": "b2c3d4e5-f6g7-48h9-i0j1-k2l3m4n5o6p7",
                      "values": [
                        {
                          "code": "BadRequest",
                          "message": "OnboardingStatus must be one of: InProgress, Approved, Rejected, Suspended"
                        }
                      ]
                    }
                  },
                  "Missing Required Field": {
                    "value": {
                      "correlationId": "c3d4e5f6-g7h8-49i0-j1k2-l3m4n5o6p7q8",
                      "values": [
                        {
                          "code": "BadRequest",
                          "message": "The CompanyId field is required."
                        }
                      ]
                    }
                  },
                  "Invalid Filter Expression": {
                    "value": {
                      "correlationId": "d4e5f6g7-h8i9-40j0-k1l2-m3n4o5p6q7r8",
                      "values": [
                        {
                          "code": "BadRequest",
                          "message": "Invalid filter expression. Expected format: 'field eq value' or 'field ct value'"
                        }
                      ]
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "ErrorDto": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "nullable": true
          },
          "message": {
            "type": "string",
            "nullable": true
          },
          "fields": {
            "type": "string",
            "nullable": true
          }
        },
        "additionalProperties": {
          "type": "object",
          "nullable": true
        }
      },
      "GenericErrorResponse": {
        "type": "object",
        "properties": {
          "correlationId": {
            "type": "string",
            "nullable": true
          },
          "values": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ErrorDto"
            },
            "nullable": true
          }
        },
        "additionalProperties": {
          "type": "object",
          "nullable": true
        }
      },
      "UpsertCompanyOnboardingDto": {
        "type": "object",
        "properties": {
          "companyId": {
            "type": "string",
            "description": "The Paylocity Company Identifier. This is the unique value provided by Paylocity to each specific Payroll Entity. \r\n    **Allowable Values:**\r\n    9 char max",
            "nullable": true,
            "example": " A00123"
          },
          "onboardingStatus": {
            "enum": [
              "InProgress",
              "Approved",
              "Rejected",
              "Suspended"
            ],
            "type": "string",
            "description": "The status to indicate the onboarding stage for a customer where the account form was filled up and is currently under review by your team.",
            "example": "Approved"
          }
        },
        "additionalProperties": {
          "type": "object",
          "nullable": true
        },
        "description": "The onboarding details."
      }
    }
  }
}
```